import { Field } from '../../models/DataSetProfile/Field';
import { FreeTextData } from '../../models/DataField/FreeTextData';
import { CheckBoxData } from '../../models/DataField/CheckBoxData';
import { BooleanDecisionData } from '../../models/DataField/BooleanDecisionData';
import { FormGroup } from '@angular/forms';
import { Component, Input, OnInit } from '@angular/core';
import { FormArray } from '@angular/forms/src/model';

@Component({
    selector: 'freetext-component',
    templateUrl: './freetext-component.html'
})
export class FreeTextComponent implements OnInit{
    @Input() dataModel: Field;
    @Input() form: FormGroup;
    private data:FreeTextData = new FreeTextData(); 
    
    ngOnInit(){
        this.form.addControl("data", this.data.buildForm());
    }
}