import * as _ from "lodash";
import {Pipe, PipeTransform} from "@angular/core";

@Pipe({
    name: "dataFilter"
})
export class DataFilterPipe implements PipeTransform {

    transform(array: any[], query: string): any {

        if (query) {
            return _.filter(array, row => {
                if (row.uri == null) row.uri = "";
                if (row.label == null) row.label = "";
                if (row.id == null) row.id = "";
                return (
                    row.label.indexOf(query) > -1 ||
                    //row.dmp.indexOf(query) > -1 ||
                    row.id.indexOf(query) > -1 ||
                    row.uri.indexOf(query) > -1
                )
            });
        }
        return array;
    }
}