
var sign_out_google = (function() {
    var auth2 = gapi.auth2.getAuthInstance();
    auth2.signOut().then(function () {
      console.log('User signed out from google.');
    }); 
});


var simple_notifier = (function(type, title, message) {
    return notify(type, title, message, null, null, null, null, null, null, null, null, null, null);    
});



function notify(type, title, message, delay, icon, url, target, allow_dismiss, offset_x, offset_y, animate_enter, animate_exit, newest_on_top){

    var options = {};
    if(icon!=null) options.icon = icon;
    if(title!=null) options.title = title;
    if(message!=null) options.message = message;
    if(url!=null) options.url = url;
    if(target!=null) options.target = target;

    var settings = {};
    if(type!=null) settings.type = type;
    if(allow_dismiss!=null) settings.allow_dismiss = allow_dismiss;
    if(delay!=null) settings.delay = delay;
    //settings.delay = -1;

    return $.notify(options,settings, delay);

}





