package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.Dataset;
import eu.eudat.entities.DatasetProfile;
import eu.eudat.entities.responses.IDLabelPair;
import eu.eudat.models.criteria.DatasetCriteria;
import eu.eudat.models.criteria.DatasetProfileCriteria;
import eu.eudat.queryable.QueryableList;
import org.springframework.stereotype.Service;

public interface DatasetProfileDao {

	QueryableList<DatasetProfile> getWithCriteria(DatasetProfileCriteria criteria);
	QueryableList<DatasetProfile> getAll();

	DatasetProfile createOrUpdate(DatasetProfile item);

	DatasetProfile find(UUID id);

	Long count();

	
}