package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.Organisation;
import eu.eudat.entities.responses.IDLabelPair;
import eu.eudat.models.criteria.Criteria;
import org.springframework.stereotype.Service;

public interface OrganisationDao extends Dao<Organisation, UUID> {

	public List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	List<Organisation> listBy(Criteria<Organisation> criteria);


}