package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.Researcher;
import eu.eudat.entities.responses.IDLabelPair;
import eu.eudat.models.criteria.Criteria;
import org.springframework.stereotype.Service;

public interface ResearcherDao extends Dao<Researcher, UUID> {

	List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();
	
	Researcher getResearcherByEmail(String email);

	List<Researcher> listBy(Criteria<Researcher> criteria);


}