package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.DMP;
import eu.eudat.entities.UserInfo;
import org.springframework.stereotype.Service;

public interface UserInfoDao extends Dao<UserInfo, UUID> {

	public UserInfo getUserInfo(String userID);
	
	public UserInfo getByIdAndMail(String id, String email);

	public UserInfo getByMail(String email);

	public UserInfo getByUsername(String username);
	
	public List<DMP> getDmpsOfUser(String userID);
	
}