package eu.eudat.managers;

import eu.eudat.dao.entities.DMPDao;
import eu.eudat.dao.entities.DatasetDao;
import eu.eudat.dao.entities.ProjectDao;
import eu.eudat.models.dashboard.DashBoardStatistics;

public class DashBoardManager {
	
	public DashBoardStatistics getStatistics(DatasetDao datasetRepository,DMPDao dataManagementPlanRepository,ProjectDao projectRepository){
		DashBoardStatistics statistics = new DashBoardStatistics();
		statistics.setTotalDataManagementPlanCount(dataManagementPlanRepository.count());
		statistics.setTotalDataSetCount(datasetRepository.count());
		statistics.setTotalProjectCount(projectRepository.count());
		return statistics;
	}

}
