package eu.eudat.models.components.commons.datafield;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import java.util.Map;

/**
 * Created by ikalyvas on 1/3/2018.
 */
public class TextAreaData extends FieldData<TextAreaData>{
    @Override
    public TextAreaData fromData(Object data) {
        if(data!=null){
            this.setLabel(((Map<String,String>)data).get("label"));
        }
        return this;
    }

    @Override
    public Object toData() {
        return null;
    }

    @Override
    public Element toXml(Document doc) {
        Element root = doc.createElement("data");
        root.setAttribute("label",this.getLabel());
        return root;
    }

    @Override
    public TextAreaData fromXml(Element item) {
        item.setAttribute("label",this.getLabel());
        return this;
    }
}
