package eu.eudat.models.helpers.responses;

import org.springframework.http.HttpStatus;

/**
 * Created by ikalyvas on 12/15/2017.
 */
public class ResponseItem<T> {
    private HttpStatus statusCode;
    private String message;
    private T payload;

    public HttpStatus getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(HttpStatus statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getPayload() {
        return payload;
    }

    public void setpayload(T payload) {
        this.payload = payload;
    }

    public ResponseItem<T> status(HttpStatus statusCode){
        this.statusCode = statusCode;
        return this;
    }

    public ResponseItem<T> message(String message){
        this.message = message;
        return this;
    }

    public ResponseItem<T> payload(T payload){
        this.payload = payload;
        return this;
    }

}
