import { Injectable } from '@angular/core';
import {Rule} from '../common/rule';
import { Source } from './source';

@Injectable()
export class Attribute {
  id: string;
  datatype:string;
  ordinal:number;
  defaultValue: any;
  multiplicityMin: number;
  multiplicityMax: number;
  validationType: any;
  validation : Rule[];
  sources: Source[];
  url: string;
}
