import { Field } from '../../../models/Field';
import { FormGroup } from '@angular/forms';
import { Component, Input, ViewEncapsulation } from '@angular/core';
import { FieldBase } from '../field-base';

@Component({
    selector: 'df-checkbox',
    templateUrl: './dynamic-field-checkbox.html',
    styleUrls: [
        './dynamic-field-checkbox.css'
    ],
    encapsulation: ViewEncapsulation.None
})
export class DynamicFieldCheckBoxComponent {
    @Input() field: Field;
    @Input() form: FormGroup;


}