import { FormGroup } from '@angular/forms';
import { Field } from '../../../models/Field';
import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';
import { FieldBase } from '../field-base';

@Component({
    selector: 'df-dropdown',
    templateUrl: './dynamic-field-dropdown.html',
    styleUrls: [
        './dynamic-field-dropdown.css'
    ],
    encapsulation: ViewEncapsulation.None
})
export class DynamicFieldDropdownComponent implements OnInit {
    @Input() field: Field;
    @Input() form: FormGroup;

    ngOnInit() {

    }
}