﻿import { VisibilityRulesService } from '../../../visibility-rules/visibility-rules.service';
import { BaseTableOfContent } from '../base-table-of-content.component';
import { CompositeField } from '../../../models/CompositeField';
import { Field } from '../../../models/Field';
import { Section } from '../../../models/Section';
import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import {Router,  ActivatedRoute} from '@angular/router'


@Component({
    selector: 'table-of-contents-field',
    templateUrl: '/table-of-content-field.component.html',
    providers:  []
  })
export class TableOfContentsFieldComponent extends BaseTableOfContent{
    @Input() model:Field;
    @Input() index:number;
    @Input() public path:string;
    @Input() public page: number;
    constructor(public router: Router, public route: ActivatedRoute,private visibilityRulesService: VisibilityRulesService) {
        super(router, route)
      }
}