import { Serializable } from "../Serializable";

export class DataManagementPlanListingModel implements Serializable<DataManagementPlanListingModel> {
	public id: String;
	public label: String;
	public project: String;
	public profile: String;
	public researchers: String;
	public organisations: String;
	public version: number;

	fromJSONObject(item: any): DataManagementPlanListingModel {
		this.id = item.id;
		this.label = item.label;
		this.project = item.project;
		this.profile = item.profile;
		this.researchers = item.researchers;
		this.organisations = item.organisations;
		this.version = item.version;

		return this;
	}
}