import { Serializable } from "../Serializable";

export class DatasetListingModel implements Serializable<DatasetListingModel> {
	public id: String;
    public label:String;  
    public dmp: String;
    public profile: String;
    public dataRepositories: String;
    public registries: String;
    public services: String;    
    public description: String;
    public status: Number;
    public created: Date;
    //public uri: String;
    // public reference: String;

	fromJSONObject(item: any): DatasetListingModel {
		this.id = item.id;
		this.label = item.label;
		this.dmp = item.dmp;
		this.profile = item.profile;
		this.dataRepositories = item.dataRepositories;
		this.registries = item.registries;
		this.services = item.services;
        //this.reference = item.reference;
        //this.uri = item.uri;
        this.status = item.status;
        this.description = item.description;
        this.created = item.created;

		return this;
	}
}