import { Serializable } from "../Serializable";

export class RegisterModel implements Serializable<RegisterModel> {
	public abbreviation: String;
	public definition: String;
	public id: String;
	public label: String;
	public reference: String;
	public uri: String;

	fromJSONObject(item: any): RegisterModel {
		this.abbreviation = item.abbreviation;
		this.definition = item.definition;
		this.id = item.id;
		this.label = item.label;
		this.reference = item.reference;
		this.uri = item.uri;

		return this;
	}
}