﻿import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import { UnauthorizedComponent } from './unauthorized.component';
import { UnauthorizedRoutes } from './unauthorized.routes';
import { SharedModule } from '../shared/shared.module'
@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        HttpClientModule,
        UnauthorizedRoutes,
        SharedModule
    ],

    declarations: [
        UnauthorizedComponent
    ],

    exports: [
        UnauthorizedComponent
    ]
})

export class UnauthorizedModule { }
