import { CommonModule } from '@angular/common';
import { NgModule, ModuleWithProviders } from '@angular/core';
import { AuthService } from '../../services/auth/auth.service';
import { BaseHttpService } from './base-http.service';

@NgModule({
	imports: [
		CommonModule
	]
})
export class BaseHttpModule {
	static forRoot(): ModuleWithProviders {
		return {
			ngModule: BaseHttpModule,
			providers: [
				AuthService,
				BaseHttpService
			]
		};
	}
}
