import { Component, OnInit, Input,Output,EventEmitter } from '@angular/core';

@Component({
  selector: 'confirmation',
  templateUrl: './confirmation.component.html',
  styleUrls: ['./confirmation.component.css']
})
export class ConfirmationComponent implements OnInit {
  
  @Input() confirmationTitle : string;
  @Input() confirmationDescr : string;
  @Input() subjectObj : any;

  @Output() responseSender: EventEmitter<any> = new EventEmitter<any>();

  constructor() {

  }


  ngOnInit() {

  }

  saidNo(){
    this.responseSender.emit(false);
  }

  saidYes(){
    this.responseSender.emit(true);
  }


}
