import { Field } from '../../models/DataSetProfile/Field';
import { BooleanDecisionData } from '../../models/DataField/BooleanDecisionData';
import { FormGroup } from '@angular/forms';
import { Component, Input, OnInit } from '@angular/core';
import { FormArray } from '@angular/forms/src/model';

@Component({
    selector: 'booleanDecision-component',
    templateUrl: './booleanDecision-component.html'
})
export class BooleanDecisionComponent implements OnInit{
    @Input() dataModel: Field;
    @Input() form: FormGroup;
    private data:BooleanDecisionData = new BooleanDecisionData(); 
    
    ngOnInit(){
        this.form.addControl("data", this.data.buildForm());
    }
}