import { BaseModel } from '../BaseModel';
import { FormGenerator } from '../interfaces/FormGenerator';
import { Serializable } from '../interfaces/Serializable';
import { FormGroup } from '@angular/forms' 
export abstract class DataField<T> extends BaseModel implements Serializable<T>,FormGenerator<FormGroup>{
    public label:string;
    
    buildForm():FormGroup{
        throw new Error("Build Form Is not not correctly overriden");
    }

    fromJSONObject(item:any):T{
        throw new Error("From Json Object is not correctly overriden")
    }

}