import { Component, Input, OnInit, AfterViewChecked, ViewChild } from '@angular/core';
import { HttpClient , HttpHeaders, HttpParams} from '@angular/common/http';
import { TokenService, TokenProvider } from './login/token.service'
import 'rxjs/Rx';
import { Injectable } from '@angular/core';
import { Toolbox } from '../services/toolbox';
import {RestBase} from './rest-base';


@Injectable()
export class DmpProfileService implements OnInit {


  constructor(public restBase: RestBase) {
  }



  ngOnInit(){

  }

  getDmpProfileIdsLabels() {
    return this.restBase.get("dmpprofile/listAllLabelIDs");
  }


  getDmpProfileIds(){
    return this.restBase.get("dmpprofiles");
  }
  
  getAllDmpProfiles(){
    return this.restBase.get("dmpprofile/getAll");
  }

  create(dmpProfile){
    return this.restBase.post("dmpprofile/create", dmpProfile);
  }

  
  delete(dmpprofileID){
    var dmpprofile = {"id": dmpprofileID};
    return this.restBase.post("dmpprofile/delete", dmpprofile);
  }



}


