package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.DMPProfile;
import eu.eudat.entities.responses.IDLabelPair;
import org.springframework.stereotype.Service;

public interface DMPProfileDao extends Dao<DMPProfile, UUID> {

	List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

}