package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.Project;
import eu.eudat.entities.responses.IDLabelPair;
import eu.eudat.models.criteria.ProjectCriteria;
import eu.eudat.models.project.ProjectTableRequest;
import eu.eudat.queryable.QueryableList;
import org.springframework.stereotype.Service;

public interface ProjectDao {

	QueryableList<Project> getWithCriteria(ProjectCriteria criteria);

	Project createOrUpdate(Project item);

	Project find(UUID id);

	Long count();
}