package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.Service;
import eu.eudat.entities.responses.IDLabelPair;
import eu.eudat.models.criteria.Criteria;

public interface ServiceDao extends Dao<Service, UUID> {

	List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	List<Service> listBy(Criteria<Service> criteria);

}