package eu.eudat.dao.entities.security;

import eu.eudat.dao.JpaDao;
import eu.eudat.dao.databaselayer.service.DatabaseService;
import eu.eudat.entities.Credential;
import eu.eudat.entities.Project;
import eu.eudat.entities.UserToken;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.UUID;

/**
 * Created by ikalyvas on 12/15/2017.
 */
@Component("credentialDao")
public class CredentialDaoImpl implements CredentialDao {

    @Autowired
    DatabaseService<Credential> databaseService;

    @Override
    public Credential createOrUpdate(Credential item) {
        return this.databaseService.createOrUpdate(item,Credential.class);
    }
}
