package eu.eudat.managers;

import eu.eudat.entities.DataEntity;
import eu.eudat.models.helpers.requests.TableRequest;
import eu.eudat.queryable.QueryableList;

public class PaginationManager {

    public static <T extends DataEntity<T>> QueryableList<T> applyPaging(QueryableList<T> items, TableRequest tableRequest){
        if(tableRequest.getLength()!=null)items.take(tableRequest.getLength());
        if(tableRequest.getOffset()!=null)items.skip(tableRequest.getOffset());
        return items;
    }
}
