package eu.eudat.models.criteria;

import eu.eudat.entities.DMP;
import eu.eudat.models.project.Project;
import eu.eudat.utilities.builders.DomainModelConverter;

import java.util.Date;
import java.util.List;
import java.util.UUID;
import java.util.stream.Collectors;

public class DataManagementPlanCriteria extends Criteria<DMP>{
    private Date periodStart;
    private Date periodEnd;
    private List<Project> projects;
    public Date getPeriodStart() {
        return periodStart;
    }

    public void setPeriodStart(Date periodStart) {
        this.periodStart = periodStart;
    }

    public Date getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(Date periodEnd) {
        this.periodEnd = periodEnd;
    }

    public List<Project> getProjects() {
        return projects;
    }

    public void setProjects(List<Project> projects) {
        this.projects = projects;
    }

    public List<eu.eudat.entities.Project> getProjectEntities(){
        return new DomainModelConverter<eu.eudat.entities.Project,Project>().toDataModel(this.projects);
    }
}
