package eu.eudat.models.dataset;

import eu.eudat.models.DataModel;
import eu.eudat.utilities.helpers.LabelGenerator;
import org.hibernate.annotations.Type;

import javax.persistence.Column;
import java.util.UUID;

public class Registry implements DataModel<eu.eudat.entities.Registry>,LabelGenerator {
	private UUID id;
	private String label;
	private String  abbreviation;
	private String reference;
	private String uri;
	private String definition;

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getAbbreviation() {
		return abbreviation;
	}

	@Override
	public String generateLabel() {
		return getLabel();
	}

	public void setAbbreviation(String abbreviation) {
		this.abbreviation = abbreviation;
	}

	public String getReference() {
		return reference;
	}

	public void setReference(String reference) {
		this.reference = reference;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public String getDefinition() {
		return definition;
	}

	public void setDefinition(String definition) {
		this.definition = definition;
	}

	public void fromDataModel(eu.eudat.entities.Registry entity){
		this.id = entity.getId();
		this.label = entity.getLabel();
		this.abbreviation = entity.getAbbreviation();
		this.reference = entity.getReference();
		this.uri = entity.getUri();
		this.definition = entity.getDefinition();
	}
	
	public eu.eudat.entities.Registry toDataModel(){
		eu.eudat.entities.Registry entity = new eu.eudat.entities.Registry();
		return entity;
	}
}
