package eu.eudat.models.datasetprofile;

import eu.eudat.entities.DatasetProfile;
import eu.eudat.models.DataModel;

import java.util.UUID;

/**
 * Created by ikalyvas on 12/20/2017.
 */
public class DatasetProfileAutocompleteItem implements DataModel<DatasetProfile> {

    private UUID id;

    private String label;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @Override
    public void fromDataModel(DatasetProfile entity) throws InstantiationException, IllegalAccessException {
        this.id = entity.getId();
        this.label = entity.getLabel();
    }

    @Override
    public DatasetProfile toDataModel() {
        DatasetProfile profile = new DatasetProfile();
        profile.setId(this.id);
        return profile;
    }
}
