package eu.eudat.models.dmp;

import java.util.Date;
import java.util.UUID;

import eu.eudat.models.DataModel;

public class UserInfo implements DataModel<eu.eudat.entities.UserInfo>{
	private UUID id;
	
	private String email = null;
	
	private Short authorization_level; //0 admin, 1 user
	
	private Short usertype; // 0 internal, 1 external
	
	private Boolean verified_email = null;
	
	private String name = null;
	
	private Date created = null;
	
	private Date lastloggedin = null;

	private String additionalinfo;

	public UUID getId() {
		return id;
	}

	public void setId(UUID id) {
		this.id = id;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Short getAuthorization_level() {
		return authorization_level;
	}

	public void setAuthorization_level(Short authorization_level) {
		this.authorization_level = authorization_level;
	}

	public Short getUsertype() {
		return usertype;
	}

	public void setUsertype(Short usertype) {
		this.usertype = usertype;
	}

	public Boolean getVerified_email() {
		return verified_email;
	}

	public void setVerified_email(Boolean verified_email) {
		this.verified_email = verified_email;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getCreated() {
		return created;
	}

	public void setCreated(Date created) {
		this.created = created;
	}

	public Date getLastloggedin() {
		return lastloggedin;
	}

	public void setLastloggedin(Date lastloggedin) {
		this.lastloggedin = lastloggedin;
	}

	public String getAdditionalinfo() {
		return additionalinfo;
	}

	public void setAdditionalinfo(String additionalinfo) {
		this.additionalinfo = additionalinfo;
	}

	@Override
	public void fromDataModel(eu.eudat.entities.UserInfo entity) throws InstantiationException, IllegalAccessException {
		this.name = entity.getName();
		this.email = entity.getEmail();
		this.usertype = entity.getUsertype();	
		this.id = entity.getId();
	}

	@Override
	public eu.eudat.entities.UserInfo toDataModel() {
		// TODO Auto-generated method stub
		return null;
	}
	
	
}
