package eu.eudat.proxy.config;


import java.io.Serializable;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import eu.eudat.proxy.config.entities.OrganisationUrls;
import eu.eudat.proxy.config.entities.ProjectUrls;
import eu.eudat.proxy.config.entities.RegistryUrls;
import eu.eudat.proxy.config.entities.RepositoryUrls;
import eu.eudat.proxy.config.entities.ResearcherUrls;
import eu.eudat.proxy.config.entities.ServiceUrls;

@XmlRootElement
public class ExternalUrls implements Serializable {

	
	private static final long serialVersionUID = -5076364662014107275L;
	
	
	Long maxresults;
	
	ProjectUrls projects;
	RegistryUrls registries;
	RepositoryUrls repositories;
	ServiceUrls services;
	ResearcherUrls researchers;
	OrganisationUrls organisations;
	
	
	
	public RegistryUrls getRegistries() {
		return registries;
	}
	
	@XmlElement(name = "registries")
	public void setRegistries(RegistryUrls registries) {
		this.registries = registries;
	}
	
	
	public RepositoryUrls getRepositories() {
		return repositories;
	}
	
	@XmlElement(name = "repositories")
	public void setRepositories(RepositoryUrls repositories) {
		this.repositories = repositories;
	}
	
	
	public ServiceUrls getServices() {
		return services;
	}
	
	@XmlElement(name = "services")
	public void setServices(ServiceUrls services) {
		this.services = services;
	}
	
	
	public ResearcherUrls getResearchers() {
		return researchers;
	}
	
	@XmlElement(name = "researchers")
	public void setResearchers(ResearcherUrls researchers) {
		this.researchers = researchers;
	}
	
	
	public OrganisationUrls getOrganisations() {
		return organisations;
	}
	
	@XmlElement(name = "organisations")
	public void setOrganisations(OrganisationUrls organisations) {
		this.organisations = organisations;
	}

	public ProjectUrls getProjects() {
		return projects;
	}

	@XmlElement(name = "projects")
	public void setProjects(ProjectUrls projects) {
		this.projects = projects;
	}

	public Long getMaxresults() {
		return maxresults;
	}
	@XmlElement(name = "maxresults")
	public void setMaxresults(Long maxresults) {
		this.maxresults = maxresults;
	}
	
	
	
	
	
	

	
	
	
	
}


