package eu.eudat.security.validators;

import eu.eudat.entities.UserInfo;
import eu.eudat.exceptions.NonValidTokenException;
import eu.eudat.models.security.Principal;

import java.io.IOException;
import java.security.GeneralSecurityException;

public interface TokenValidator {

	public Principal validateToken(String token) throws NonValidTokenException, IOException, GeneralSecurityException;
	
}
