import { VisibilityRulesService } from '../../visibility-rules/visibility-rules.service';
import { FormGroup } from '@angular/forms';
import { Section } from '../../entities/model/section';
import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';
@Component({
  selector: 'df-section',
  templateUrl: './dynamic-form-section.html',
  styleUrls: [
    './dynamic-form-section.css'
  ],
  encapsulation: ViewEncapsulation.None,
})
export class DynamicFormSectionComponent implements OnInit {

  @Input() section: Section
  @Input() form: FormGroup;
  @Input() pathName: string;
  @Input() path: string;
  constructor(private visibilityRulesService:VisibilityRulesService) { }

  ngOnInit() {
    console.log(this.section);
  }
}