﻿import { VisibilityRulesService } from '../../../visibility-rules/visibility-rules.service';
import { BaseTableOfContent } from '../base-table-of-content.component';
import { CompositeField } from '../../../models/CompositeField';
import { FieldGroup } from '../../../models/FieldGroup';
import { Section } from '../../../models/Section';
import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router'

//import * as $ from '../../../../node_modules/jquery/dist/jquery'


@Component({
  selector: 'table-of-contents-fieldset',
  templateUrl: '/table-of-content-fieldset.component.html',
  providers: []
})
export class TableOfContentsFieldSetComponent extends BaseTableOfContent {

  @Input() model: CompositeField;
  @Input() index: number;
  @Input() public path: string;
  @Input() public page: number;
  constructor(public router: Router, public route: ActivatedRoute,private visibilityRulesService: VisibilityRulesService) {
    super(router, route)
  }
}
