﻿import { VisibilityRulesService } from '../../../visibility-rules/visibility-rules.service';
import { BaseTableOfContent } from '../base-table-of-content.component';
import { Section } from '../../../models/Section';
import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { ActivatedRouteSnapshot,Router,ActivatedRoute } from '@angular/router';

//import * as $ from '../../../../node_modules/jquery/dist/jquery'


@Component({
  selector: 'table-of-contents-section',
  templateUrl: '/table-of-content-section.component.html',
  providers: []
})
export class TableOfContentsSectionComponent extends BaseTableOfContent implements OnInit {

  @Input() model: Section;
  @Input() index: number;
  @Input() public path: string;
  @Input() public page: number;
  constructor(public router: Router,public route:ActivatedRoute,private visibilityRulesService: VisibilityRulesService){
    super(router,route)
  }
  ngOnInit() {

  }

}