import { BaseModel } from './BaseModel';
import { FormGroup } from '@angular/forms';
import { FormGenerator } from './interfaces/FormGenerator';
import { Serializable } from './interfaces/Serializable';
export class Rule extends BaseModel implements Serializable<Rule>{
    public sourceField:string;
    public targetField:string;
    public requiredValue;
    public type: string;

    fromJSONObject(item:any):Rule{
        this.sourceField = item.sourceField;
        this.targetField = item.targetField;
        this.requiredValue = item.requiredValue;
        this.type = item.type;
        return this;
    }
}