import { Serializable } from "../Serializable";

export class DashboardStatisticsModel implements Serializable<DashboardStatisticsModel>{
    public totalDataManagementPlanCount: number;
    public totalProjectCount: number;
    public totalDataSetCount: number;

    fromJSONObject(item: any): DashboardStatisticsModel {
		this.totalDataManagementPlanCount = item.totalDataManagementPlanCount;
		this.totalProjectCount = item.totalProjectCount;
        this.totalDataSetCount = item.totalDataSetCount;
		return this;
	}

}