import { BaseCriteria } from "../criteria/BaseCriteria";
import { RequestItem } from "../criteria/RequestItem";

export class DataTableRequest<T> extends RequestItem<T> {
	offset = 0;
	length = 0;

	constructor(offset: number, length: number) {
		super();
		this.length = length;
		this.offset = offset;
	}
}
