import { TranslateService } from '@ngx-translate/core';
import { Component, Inject } from '@angular/core';
import { MAT_SNACK_BAR_DATA } from '@angular/material';
@Component({
  selector: 'snack-bar-notification',
  templateUrl: 'snack-bar-notification.component.html'
})

export class SnackBarNotificationComponent {
  message: string;
  constructor( @Inject(MAT_SNACK_BAR_DATA) public data: any) {
    this.parseMessage(data.message, data.language);
  }

  parseMessage(message: any, language: TranslateService): void {
    language.get(message).subscribe((value: string) => {
      this.message = value;
    });
  }
}
