import { NgModule } from '@angular/core';
import {
	MatToolbarModule,
	MatIconModule,
	MatSidenavModule,
	MatButtonModule,
	MatTableModule,
	MatPaginatorModule,
	MatSortModule,
	MatDialogModule,
	MatDatepickerModule,
	MatNativeDateModule,
	MatInputModule,
	MatFormFieldModule,
	MatSnackBarModule,
	MatAutocompleteModule,
	MatExpansionModule,
	MatSelectModule,
	MatOptionModule,
	MatCardModule,
	MatProgressBarModule,
	MatProgressSpinnerModule,
	DateAdapter,
	MatTooltipModule,
	MatCheckboxModule,
	MatTabsModule,
	MatStepperModule,
	MatRadioModule	
} from '@angular/material';
import { CdkTableModule } from '@angular/cdk/table';
import { SnackBarNotificationComponent } from '../components/notificaiton/snack-bar-notification.component';
import { CovalentLayoutModule, CovalentChipsModule, CovalentDialogsModule } from '@covalent/core';

@NgModule({
	imports: [
	],

	exports: [
		MatToolbarModule,
		MatIconModule,
		MatSidenavModule,
		MatButtonModule,
		MatTableModule,
		MatPaginatorModule,
		CdkTableModule,
		MatSortModule,
		MatDialogModule,
		MatDatepickerModule,
		MatNativeDateModule,
		MatInputModule,
		MatFormFieldModule,
		MatSnackBarModule,
		MatAutocompleteModule,
		MatExpansionModule,
		MatSelectModule,
		MatOptionModule,
		MatCardModule,
		MatProgressBarModule,
		MatProgressSpinnerModule,
		MatTooltipModule,
		MatCheckboxModule,
		MatTabsModule,
		CovalentLayoutModule,
		CovalentChipsModule,
		CovalentDialogsModule,
		MatStepperModule,
		MatRadioModule
	],

	providers: [
		//{ provide: DateAdapter, useClass: LocalizedDateAdapter },
	],

	entryComponents: [
		SnackBarNotificationComponent
	]
})

export class MaterialModule {
	// constructor(dateAdapter: DateAdapter<LocalizedDateAdapter>) {
	// 	dateAdapter.setLocale('el-GR');
	// }
}
